Package org.bukkit.plugin.messaging

# Class MessageTooLargeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.bukkit.plugin.messaging.MessageTooLargeException

All Implemented Interfaces:
  `Serializable`

public class MessageTooLargeException extends RuntimeException
Thrown if a Plugin Message is sent that is too large to be sent.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MessageTooLargeException()`
`MessageTooLargeException(byte[] message)`
`MessageTooLargeException(int length)`
`MessageTooLargeException(String msg)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MessageTooLargeException

public MessageTooLargeException()

### MessageTooLargeException

public MessageTooLargeException(byte[] message)

### MessageTooLargeException

public MessageTooLargeException(int length)

### MessageTooLargeException

public MessageTooLargeException(String msg)